package rowedto.jockeyedto.sheetedto.slideedto

import android.content.Intent
import com.base.datarecovery.databinding.PepperedtoBinding
import rowedto.jockeyedto.sheetedto.atticedto.expandedto.colonyedto.dietedto.Successedto
import rowedto.jockeyedto.sheetedto.atticedto.harboredto.Poemedto
import rowedto.jockeyedto.sheetedto.atticedto.harboredto.Reignedto
import rowedto.jockeyedto.sheetedto.atticedto.strainedto.wolfedto.furtheredto.Archiveedto
import rowedto.jockeyedto.sheetedto.debutedto.revolutionaryedto.Dynamicedto
import rowedto.jockeyedto.sheetedto.knewedto.economicedto.copyrightedto.Aloofedto
import rowedto.jockeyedto.sheetedto.strangeedto.pyramidedto.particlesedto.Scandaledto


class Shakeedto : Aloofedto<PepperedtoBinding>() {

    override val binding: PepperedtoBinding by lazy {
        PepperedtoBinding.inflate(layoutInflater)
    }


    override fun setView() {
    }

    override fun setListener() {
        binding.brainedto.setOnClickListener {
            startActivity(Intent(requireContext(), Archiveedto::class.java).apply {
                putExtra("ScanType", Dynamicedto.SCAN_PHOTOS)
            })
        }
        binding.agentedto.setOnClickListener {
            startActivity(Intent(requireContext(), Archiveedto::class.java).apply {
                putExtra("ScanType", Dynamicedto.SCAN_VIDEOS)
            })
        }
        binding.frequencyedto.setOnClickListener {
            startActivity(Intent(requireContext(), Archiveedto::class.java).apply {
                putExtra("ScanType", Dynamicedto.SCAN_DOCUMENTS)
            })
        }
        binding.timetableedto.setOnClickListener {
            startActivity(Intent(requireContext(), Archiveedto::class.java).apply {
                putExtra("ScanType", Dynamicedto.SCAN_AUDIOS)
            })
        }
        binding.crackpotedto.setOnClickListener {
            Scandaledto.admobMaxShowInterstitialAd(requireActivity()){
                if (Dynamicedto.privacyPinPassword.isNotEmpty()) {
                    startActivity(Intent(requireContext(), Poemedto::class.java))
                } else {
                    startActivity(Intent(requireContext(), Reignedto::class.java).apply {
                    })
                }
            }
        }
        binding.trapedto.setOnClickListener {
            startActivity(Intent(requireContext(), Successedto::class.java))
        }

    }

    override fun onResume() {
        super.onResume()
        Scandaledto.admobMaxShowNativeAd(requireActivity(), binding.breatheedto, 2)
    }

}